-- --------------------------------------------------------

--
-- 表的结构 `amh_finance`
--

CREATE TABLE IF NOT EXISTS `amh_finance` (
  `finance_id` int(10) NOT NULL AUTO_INCREMENT,
  `finance_cost` decimal(10,2) NOT NULL,
  `finance_info` text NOT NULL,
  `finance_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `finance_out_trade_no` varchar(18) NOT NULL,
  `finance_member_id` int(10) NOT NULL,
  `finance_trade_status` varchar(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`finance_id`),
  UNIQUE KEY `finance_out_trade_no` (`finance_out_trade_no`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- 表的结构 `amh_ftp`
--

ALTER TABLE `amh_ftp`
ADD  `ftp_host_id` int(10) NOT NULL ;
-- --------------------------------------------------------

--
-- 表的结构 `amh_host`
--

ALTER TABLE `amh_host`
ADD  `host_endtime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
ADD  `host_member_id` int(10) NOT NULL AFTER `host_endtime`,
ADD  `host_annualprice` decimal(10,2) NOT NULL AFTER `host_member_id` ;
-- --------------------------------------------------------

--
-- 表的结构 `amh_hostlist`
--

CREATE TABLE IF NOT EXISTS `amh_hostlist` (
  `hostlist_id` int(10) NOT NULL AUTO_INCREMENT,
  `hostlist_name` varchar(50) NOT NULL COMMENT '虚拟主机',
  `hostlist_taxis` smallint(4) unsigned NOT NULL COMMENT '排序',
  `hostlist_index_name` varchar(100) NOT NULL COMMENT '默认主页',
  `hostlist_info` text NOT NULL COMMENT '描述',
  `hostlist_upload_ratio` varchar(10) NOT NULL COMMENT '上传比率值',
  `hostlist_download_ratio` varchar(10) NOT NULL COMMENT '下载比率值',
  `hostlist_upload_bandwidth` varchar(20) NOT NULL COMMENT '上传速度限制',
  `hostlist_download_bandwidth` varchar(20) NOT NULL COMMENT '下载速度限制',
  `hostlist_max_files` varchar(10) NOT NULL COMMENT '文件数量',
  `hostlist_max_mbytes` varchar(20) NOT NULL COMMENT '容量',
  `hostlist_max_concurrent` varchar(10) NOT NULL COMMENT '连接数限制',
  `hostlist_allow_time` varchar(10) NOT NULL COMMENT '使用时间限制',
  `hostlist_uid_name` varchar(20) NOT NULL COMMENT '权限用户',
  `hostlist_monthprice` decimal(10,2) NOT NULL COMMENT '月费',
  `hostlist_annualprice` decimal(10,2) NOT NULL COMMENT '年费',
  `hostlist_databasecount` int(10) NOT NULL COMMENT '数据库数量',
  `hostlist_dbspace` varchar(20) NOT NULL COMMENT '数据库大小',
  `hostlist_testday` int(10) NOT NULL COMMENT '测试时间',
  `hostlist_agentprice` decimal(10,2) NOT NULL COMMENT '代理价格',
  `hostlist_agents` int(10) NOT NULL,
  `hostlist_isdiscount` int(10) NOT NULL COMMENT '是否高级会员折扣',
  `hostlist_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`hostlist_id`),
  UNIQUE KEY `hostlist_name` (`hostlist_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=5 ;

--
-- 转存表中的数据 `amh_hostlist`
--

INSERT INTO `amh_hostlist` (`hostlist_id`, `hostlist_name`, `hostlist_taxis`, `hostlist_index_name`, `hostlist_info`, `hostlist_upload_ratio`, `hostlist_download_ratio`, `hostlist_upload_bandwidth`, `hostlist_download_bandwidth`, `hostlist_max_files`, `hostlist_max_mbytes`, `hostlist_max_concurrent`, `hostlist_allow_time`, `hostlist_uid_name`, `hostlist_monthprice`, `hostlist_annualprice`, `hostlist_databasecount`, `hostlist_dbspace`, `hostlist_testday`, `hostlist_agentprice`, `hostlist_agents`, `hostlist_isdiscount`, `hostlist_time`) VALUES
(1, '高级型主机', 0, 'index.php,index.html,index.htm', '高级型主机', '0', '0', '0', '0', '0', '2147483648', '0', '0', '0', 0.00, 200.00, 1, '200', 0, 0.00, 0, 0, '2014-04-05 09:12:33'),
(2, '专业型主机', 0, 'index.php,index.html,index.htm', '专业型主机', '0', '0', '0', '0', '0', '1073741824', '0', '0', '0', 0.00, 150.00, 1, '100', 0, 0.00, 0, 0, '2014-02-06 08:56:44'),
(3, '入门型主机', 0, 'index.php,index.html,index.htm', '入门型主机', '0', '0', '0', '0', '0', '524288000', '0', '0', '0', 0.00, 100.00, 1, '50', 0, 0.00, 0, 0, '2014-02-10 09:28:18'),
(4, '赞助学习型主机', 0, 'index.php,index.html,index.htm', '赞助学习型主机', '0', '0', '0', '0', '0', '209715200', '0', '0', '0', 0.00, 50.00, 1, '50', 0, 0.00, 0, 0, '2014-02-10 09:30:20');

-- --------------------------------------------------------

--
-- 表的结构 `amh_member`
--

CREATE TABLE IF NOT EXISTS `amh_member` (
  `member_id` int(10) NOT NULL AUTO_INCREMENT,
  `member_username` varchar(15) NOT NULL,
  `member_password` varchar(32) NOT NULL,
  `member_realname` varchar(20) NOT NULL,
  `member_sf` varchar(20) NOT NULL COMMENT '省份',
  `member_address` varchar(300) NOT NULL COMMENT '地址',
  `member_cellphone` varchar(11) NOT NULL COMMENT '手机',
  `member_email` varchar(100) NOT NULL,
  `member_qq` varchar(20) NOT NULL,
  `member_money` decimal(10,2) NOT NULL,
  `member_cost` decimal(10,2) NOT NULL,
  `member_regtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `member_state` int(1) NOT NULL DEFAULT '1' COMMENT '用户状态',
  `member_regip` varchar(15) NOT NULL,
  `member_lastloginip` varchar(15) NOT NULL DEFAULT '0.0.0.0',
  `member_lastlogintime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `member_grade` int(1) NOT NULL DEFAULT '0' COMMENT '用户级别',
  `member_agentgrade` int(1) NOT NULL DEFAULT '0' COMMENT '代理级别',
  PRIMARY KEY (`member_id`),
  UNIQUE KEY `member_username` (`member_username`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- 转存表中的数据 `amh_member`
--

INSERT INTO `amh_member` (`member_id`, `member_username`, `member_password`, `member_realname`, `member_sf`, `member_address`, `member_cellphone`, `member_email`, `member_qq`, `member_money`, `member_cost`, `member_regtime`, `member_state`, `member_regip`, `member_lastloginip`, `member_lastlogintime`, `member_grade`, `member_agentgrade`) VALUES
(1, 'admin', '4fcee52afa3b13c590c0c838e39011b7', 'mdoctor', '广东省,广州市,天河区', '天源路789号', '18988888888', '88888888@qq.com', '9888888', 99999649.00, 0.00, '2014-02-12 18:12:29', 1, '1.1.1.1', '192.168.164.1', '2014-04-24 19:08:15', 1, 0);

-- --------------------------------------------------------

--
-- 表的结构 `amh_mysql`
--

CREATE TABLE IF NOT EXISTS `amh_mysql` (
  `mysql_id` int(10) NOT NULL AUTO_INCREMENT,
  `mysql_name` varchar(50) NOT NULL,
  `mysql_user` varchar(50) NOT NULL,
  `mysql_password` varchar(80) NOT NULL,
  `mysql_host` varchar(20) NOT NULL DEFAULT 'localhost',
  `mysql_host_id` int(10) NOT NULL,
  `mysql_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`mysql_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;